> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/business-rules/business-rule-details/actions/action-details/action-configuration-details.md).

# Action configuration details

You can add or update actions through [Product model setup](/pim3/reference/product-model-setup.md) > [Business rules](/pim3/reference/product-model-setup/business-rules.md) > [Actions](/pim3/reference/product-model-setup/business-rules/business-rule-details/actions.md).

| Create a task      |                                                                    |
| ------------------ | ------------------------------------------------------------------ |
| Title              | The title of the task.                                             |
| Description        | The description for the task.                                      |
| Responsible        | One or more users or user groups who are responsible for the task. |
| Deadline (in days) | Set a deadline relative to the task creation, if needed.           |

| Start AI translation                |                                                                                                                                                                     |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Field selection                     | The fields which should be translated by the AI assistant.                                                                                                          |
| Source language                     | The language to translate from.                                                                                                                                     |
| Target languages                    | The language to translate to.                                                                                                                                       |
| Override existing translated values | Determines whether the AI assistant will override existing translated values.                                                                                       |
| Auto approve translations           | Determines whether the AI assistant shall auto approve translations.                                                                                                |
| Create user task                    | Determines whether a user task should be created when the AI assistant creates a new background task. If enabled, see "Create a task"-table for additional details. |

| Start AI text generation |                                                                                                                                                                     |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Businessrule command     | The command that should be sent to the AI assistant.                                                                                                                |
| Auto approve texts       | Determines whether the AI assistant shall auto approve generated texts.                                                                                             |
| Create user task         | Determines whether a user task should be created when the AI assistant creates a new background task. If enabled, see "Create a task"-table for additional details. |

| Archive entity |                                   |
| -------------- | --------------------------------- |
| ArchiveReason  | The reason to set when archiving. |

| Change workflow state for entity |                                                                                                                                                         |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Workflow state                   | The workflow state to transition to. (The action will only run for entities that are using the workflow, to which the selected workflow state belongs). |

| Calculate value |                                                                                       |
| --------------- | ------------------------------------------------------------------------------------- |
| Calculation     | Build a calculation using number attributes and mathematical operators and functions. |

| Concatenate value      |                                                            |
| ---------------------- | ---------------------------------------------------------- |
| Format pattern         | The concatenation pattern to use for generating the value. |
| Data fields to merge   | The data fields to merge into the defined pattern.         |
| Data field to write to | The data field to write the resulting value to.            |

| Copy attribute value  |                            |
| --------------------- | -------------------------- |
| Data field to copy    | The data field to copy.    |
| Data field to copy to | The data field to copy to. |

| Trigger sub rule        |                                                                                            |
| ----------------------- | ------------------------------------------------------------------------------------------ |
| Entities to execute for | The entities to execute the sub rule for.                                                  |
| Rule to execute         | The rule you want to execute for the items selected.                                       |
| Execute async           | Determines whether the rule shall execute asynchronously or within the transaction itself. |

{% hint style="danger" %}
When executing rules for children of an item, it is highly recommended to execute the rule asynchronously to ensure a good user experience.
{% endhint %}

| Reset attribute value |                            |
| --------------------- | -------------------------- |
| Attributes to reset   | The attribute(s) to reset. |

| Update attribute value |                                                                      |
| ---------------------- | -------------------------------------------------------------------- |
| Attribute to update    | The attribute to update.                                             |
| Enter new value        | The new value to save to all selected items for attribute to update. |

| Throw error   |                                     |
| ------------- | ----------------------------------- |
| Error message | The message to display to the user. |

<table><thead><tr><th width="374">Aggregate data from children to entity</th><th> </th></tr></thead><tbody><tr><td>Child entity type</td><td>The entity type to be evaluated.</td></tr><tr><td>Function</td><td>The aggregation function to execute.</td></tr><tr><td>Filter</td><td>A filter to only aggregate on a subset of the child entities.</td></tr><tr><td>Condition</td><td>The condition all selected children must match.</td></tr><tr><td>Write result to</td><td>The attribute to save the result to.</td></tr><tr><td>Aggregate values from</td><td>The number attribute to aggregate on.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/business-rules/business-rule-details/actions/action-details/action-configuration-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
